import request from '@/utils/wms-request'

// 查询仓库列表
export function listWarehouse(query) {
  return request({
    url: '/basic/warehouse/list',
    method: 'get',
    params: query
  })
}

// 查询仓库详细
export function getWarehouse(id) {
  return request({
    url: '/basic/warehouse/' + id,
    method: 'get'
  })
}

// 新增仓库
export function addWarehouse(data) {
  return request({
    url: '/basic/warehouse',
    method: 'post',
    data: data
  })
}

// 修改仓库
export function updateWarehouse(data) {
  return request({
    url: '/basic/warehouse',
    method: 'put',
    data: data
  })
}

// 删除仓库
export function delWarehouse(id) {
  return request({
    url: '/basic/warehouse/' + id,
    method: 'delete'
  })
}

// 导出仓库
export function exportWarehouse(query) {
  return request({
    url: '/basic/warehouse/export',
    method: 'get',
    params: query
  })
}

/**
 * 查询销售退货任务单列表
 * @param {Object} query
 */
export function backListTask(query) {
  return request({
    url: '/sale/back/task/list',
    method: 'get',
    params: query
  })
}

/**
 *查询销售退货任务单详细
 * @param {Object} id
 */
export function getTaskId(id) {
  return request({
    url: '/sale/back/task/' + id,
    method: 'get'
  })
}

/**
 * 新增销售退货入库单
 * @param {Object} data
 */
export function updateIn(data) {
  return request({
    url: '/sale/back/in',
    method: 'post',
    data: data
  })
}

/**
 * 直接入库退货单提交按钮
 * @param {Object} data
 */
export function addIn(data) {
  return request({
    url: '/sale/back/in/quiteAdd',
    method: 'post',
    data: data
  })
}

  /**根据任务单号获取单据信息以新增*/
export function getInByTask(data) {
  return request({
    url: '/sale/back/task/getInByTask',
    method: 'post',
    data: data
  })
  }